Name: H5Pset_filter_callback
Signature:
  herr_t `H5Pset_filter_callback`(hid_t `plist`, H5Z_filter_func_t `func`, void *`op_data`)
Purpose:
  Sets user-defined filter callback function.
Description:
  `H5Pset_filter_callback` sets the user-defined filter callback function `func` in the dataset transfer property list `plist`.

  The parameter `op_data` is a pointer to user-defined input data for the callback function and will be passed through to the callback function.

  The callback function `func` defines the actions an application is to take when a filter fails. The function prototype is as follows: `typedef` H5Z_cb_return_t (`H5Z_filter_func_t`) (H5Z_filter_t `filter`, void *`buf`, size_t `buf_size`, void *`op_data`)

  where `filter` indicates which filter has failed, `buf` and `buf_size` are used to pass in the failed data, and `op_data` is the required input data for this callback function.

  Valid callback function return values are `H5Z_CB_FAIL` and `H5Z_CB_CONT`.

Parameters:

hid_t `plist` | IN: Dataset transfer property list identifier.
H5Z_filter_func_t `func` | IN: User-defined filter callback function.
void *`op_data` | IN: User-defined input data for the callback function.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface:
  None.
History:

Release | C
1.6.0 | Function introduced in this release.